Bug 1312761 - LDAP user password can be changed
LDAP user password can be changed
Status: CLOSED WONTFIX
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3
Assigned To: Soumya Deb
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 03:58 EST by Martin Kudlej
Modified: 2017-03-23 00:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-23 00:11:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
red marked inputs should be readonly (60.32 KB, image/png)
2016-07-01 10:48 EDT, Martin Kudlej
no flags Details
red marked inputs should be readonly different form (59.49 KB, image/png)
2016-07-01 10:48 EDT, Martin Kudlej
no flags Details

  None (edit)
Description Martin Kudlej 2016-02-29 03:58:57 EST
Description of problem:
Now there is same form for changing user settings for local and LDAP user.
LDAP user should be able to change just email notifications. He should not be able to change his password.

Version-Release number of selected component (if applicable):
rhscon-ceph-0.0.6-8.el7.x86_64
rhscon-core-0.0.8-7.el7.x86_64
rhscon-ui-0.0.16-1.el7.noarch

How reproducible:
100%

Expected results:
LDAP user should not change his password.
Comment 2 Nishanth Thomas 2016-06-21 08:45:28 EDT
screen shot and current status
Comment 3 Martin Kudlej 2016-07-01 10:42:08 EDT
This issue is still valid in rhscon-ui-0.0.43-1.el7scon.noarch. Admin cannot change LDAP user password and email, see screenshot.
Comment 4 Martin Kudlej 2016-07-01 10:48 EDT
Created attachment 1174943 [details]
red marked inputs should be readonly
Comment 5 Martin Kudlej 2016-07-01 10:48 EDT
Created attachment 1174944 [details]
red marked inputs should be readonly different form

Note You need to log in before you can comment on or make changes to this bug.